
%define	name		kbear
%define	version		2.1.1
%define	release		14mdk
%define	lib_name_orig	lib%{name}
%define lib_major	2
%define lib_name	%mklibname %{name} %{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://kbear.sourceforge.net
Group:		Networking/File transfer
Source0:	%{name}-2.1-1.src.tar.bz2
Patch0:		%{name}-makefile.patch.bz2
Patch1:		%{name}-gcc3.2.fix.patch.bz2
Patch2:		kbear-2.1-fix-bookmarks.patch.bz2

%if %mdkversion >= 920
BuildRequires:  XFree86-devel qt3-devel kdelibs-devel libart_lgpl-devel fam-devel                                                             
BuildRequires:  png-devel jpeg-devel arts-devel
%else
BuildRequires:	XFree86-devel libqt3-devel kdelibs-devel libart_lgpl-devel libfam-devel autoconf2.5
BuildRequires:	libpng-devel libjpeg-devel libarts-devel
%endif
Requires:	%{lib_name} = %version-%release

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:        KDE Grapical FTP Client

%description
KBear is a graphical ftp client for KDE with ability to
concurrent to multiple hosts.

%package -n %{lib_name}
Summary:        Libraries needed by %{name}
Group:          System/Libraries
Provides:       %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
Libraries needed for %{name}

%package -n %{lib_name}-devel
Summary:        Development tools for %name
Group:          Development/C++
Requires:       %{lib_name} = %{version}-%release
Provides:       %{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the header files
needed for development with %{name}.

%prep
%setup -q -n%{name}-2.1
%patch0 -p0
%patch1 -p0
%patch2 -p1 

%build
export WANT_AUTOCONF_2_5=1
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=/usr/lib/qt3
%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" FFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Networking/File Transfer" $RPM_BUILD_ROOT/%{_datadir}/applnk/Internet/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/*/%{name}/common

%find_lang %name

%post
%update_menus

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%{_bindir}/*
%{_libdir}/kde3/kio_kbearftp.la
%{_libdir}/kde3/kio_kbearftp.so

%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%dir %{_datadir}/apps/%{name}filesyspart/
%{_datadir}/apps/%{name}filesyspart/*

%dir %{_datadir}/apps/%{name}dirsynchpart/
%{_datadir}/apps/%{name}dirsynchpart/*.rc

%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/actions/*.png
%{_iconsdir}/hicolor/22x22/actions/*
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/actions/*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%{_datadir}/applnk/Internet/%{name}.desktop
%{_menudir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libkbeardirsynchpart.la
%{_libdir}/libkbearfilesyspart.la  
%{_libdir}/libkbearfilesyspart.so
%{_libdir}/libkbear.so.*
%{_libdir}/libkbeardirsynchpart.la  
%{_libdir}/libkbeardirsynchpart.so
%{_libdir}/libkbear.la

%{_libdir}/kde3/lib*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libkbear.so

%changelog
* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-14mdk
- Fix spec file

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-13mdk
- Fix bookmarks

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-12mdk
- Fix spec file
- Rebuild with new menu translation table

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 2.1.1-11mdk
- Rebuild

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-10mdk
- Fix distlint

* Sun Feb 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-9mdk
- Rebuild

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-8mdk
- Rebuild

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-7mdk
- Fix split

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-6mdk
- Fix buildrequires

* Sun Mar 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-5mdk 
- use mklibname macro
- don't provice %{name} in %{lib_name}

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-4mdk
- add a few more missing BuildRequires..

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-3mdk
- cleanups, make .spec more consistent
- added XFree86-devel to BuildRequires

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-2mdk
- Rebuidl

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1

* Mon Nov 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> : 
	- Fixed group and menuitem
	- Added BuildRequires
	- Corrected filelist

* Sat Nov 09 2002 Per yvind Karlsen <peroyvind@delonic.no> 2.0-1mdk
- Initial release
